<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Bike;

class BikeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function BMW()
    {
        $bmws = \DB::table('bikes')->select('*')->from('Bikes')->where('NameProduct','like','B%')->get();
        return view('bmw',compact('bmws'));

    }
    public function DUCATI()
    {
        $ducatis = \DB::table('bikes')->select('*')->from('Bikes')->where('NameProduct','like','D%')->get();
        return view('ducati',compact('ducatis'));

    }
    public function YAMAHA()
    {
        $yamahas = \DB::table('bikes')->select('*')->from('Bikes')->where('NameProduct','like','Y%')->get();
        return view('yamaha',compact('yamahas'));

    }

    public function HONDA()
    {
        $hondas = \DB::table('bikes')->select('*')->from('Bikes')->where('NameProduct','like','HO%')->get();
        return view('honda',compact('hondas'));

    }

    public function KAWASAKI()
    {
        $kawasakis = \DB::table('bikes')->select('*')->from('Bikes')->where('NameProduct','like','K%')->get();
        return view('kawasaki',compact('kawasakis'));

    }

    public function SUZUKI()
    {
        $suzukis = \DB::table('bikes')->select('*')->from('Bikes')->where('NameProduct','like','S%')->get();
        return view('suzuki',compact('suzukis'));

    }
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
